---
title: Thoughts on the Apple Watch
excerpt: My experience with the Series 3 Apple Watch, 11 months later.
tags: ["apple watch", "apple"]
---

Since I started going to the gym regularly and kept watch on what foods I ate, I became more interested in monitoring my calories burned during workouts. Initially I thought I should get a Fitbit, but I wasn’t too fond of their lineup at the time. At the time of writing they also _still_ don’t sync to Apple or Android Health. When the Apple Watch was initially revealed I toyed with the idea of buying one, but had yet to come up with a compelling reason to buy it. Given my newfound interest in fitness and health, and that I had given the Watch a few months to bake - it seemed like now (June 2018) was good a time as ever to jump in. I decided one hot day that it was time for me to jump into the world of wearable tech.

By this point in time the Series 3 was a few months old. They offered both the GPS and cellular models. Given that I always tend to keep my phone on me, I didn’t see any advantage in buying the cellular model. They also require an eSIM card to work, which is an additional charge for carriers here in Canada.

The setup process is remarkably simple. After a brief initialization process, the Watch screen shows a sparkly cloud background. Your iPhone takes a picture of it, and the process is complete. I couldn’t believe how fast and easy it was to pair.

One of the first things I noticed while using the Watch is the [Taptic Engine][] (what Apple obtusely calls their vibration technology). It’s subtle but still prominent enough to feel. It’s a small but appreciated detail... something I feel is often under-appreciated in today’s devices. If you’re not sure you can tell the difference - go back to an old iPhone (something before the iPhone 7) and _feel_ and _listen_ to the vibration. Compare it to the Apple Watch or a newer generation iPhone. It’s a night and day difference. The newest Taptic Engine makes almost no sound. It also does a serviceable job at making the Digital Crown (knob on the side) feel more tactile.

[taptic engine]: https://developer.apple.com/design/human-interface-guidelines/watchos/user-interaction/haptic-feedback/ "A developer's guide for how to use Haptic Feedback on the Apple Watch"

The wrist-tilt detection is generally pretty good, although sometimes it refuses to work. This happens seldomly, but enough to notice. I wish the screen were OLED so that it could be always on. I think it might also save on battery life too.

The battery life has been great for me - I usually get about 2 days of consistent usage before needing a recharge. I think the expectation compared to other wearable tech might be longer (a Fitbit can go for a week before needing a recharge), but for my use case this is sufficient.

The Watch will automatically detect when you start working out and is usually accurate. When doing a spirited walk, it will pick up on it within 10 minutes. For more intense workouts (elliptical and stationary biking in my case), it starts a workout within 3 minutes. All Workout app data is recorded to Apple Health so other apps can make use of the data. As an avid Pokémon GO player, this pairs well with the [Adventure Sync][] feature. What this means is that my distance travelled and calories burned are sent to Apple Health and Pokémon GO can pick up on that data. One complaint I have is that there is a limited variety of Workouts available. For example, there are no workouts for strength training.

[adventure sync]: https://pokemongolive.com/post/adventure-sync "Niantic's explanation of the Pokémon GO Adventure Sync feature"

Standing detection can be quite spotty sometimes. I’ll be standing completely upright and moving, and the Watch will refuse to acknowledge it. I’ve been sitting down sometimes when it triggers a “you stood up” alert. It has annoyed me enough times that I’m thinking of disabling the alerts entirely.

I thought it would be great to have all of my phone notifications mirrored to my Watch - available at a moment’s notice, but it very quickly became overwhelming. I ended up disabling all notifications except for phone calls and reminders. I’ve personally grown tired of always giving my phone too much attention, and I found myself facing the same issue with the Watch.

The interface is good enough for the odd time I’m forced to use it - dismissing notifications, starting workouts, setting alarms, etc. Anything beyond that though is a chore. The “circle grid” is an unpleasant mess. Thankfully, I later discovered that there is a [“list view” option][list-view] for the home screen which works much better. The Digital Crown is used for scrolling the current screen, but being so familiar with a touch screen I don’t see the use for it. Generally speaking, if there’s a way to avoid using the Watch’s interface then I will opt to do that. I’ve found most of the “Watch apps” are near useless. The ones I use the most are the Clock app (for timers), Workouts, Home (controlling lights), and Music (for controlling volume). Since I carry my phone with me all the time, why would I bother using a tiny, cramped interface when I have the full-featured app available right there?

[list-view]: https://www.youtube.com/watch?v=3DVrPJXWV50&t=1m31s "7 Tips Every Apple Watch Owner SHOULD Know!"

That said, I have found some unexpected uses from the Watch. Firstly, being able to control volume without using my phone turned out to be a handy shortcut. The Digital Crown can raise or lower the volume without the phone needing to be unlocked. I use the Home app as a Watch Complication which works most of the time, but sometimes it refuses to connect to my devices. Speaking of Complications - I wish there were more options available for the stock watch faces. I was hoping to use my Watch as a “super Notification Center” and have tons of information available at a glance. Instead, the most I can seem to get out of it is an icon, an unread count, or a single line of text.

The [Scribble][] feature is one I see rarely mentioned and under-appreciated. It makes composing short text messages a breeze. You can write letters and short words using your finger. I’ve found it to be generally very accurate. It’s a rare occurrence for me to be without my phone, but it's served me well in a pinch.

[scribble]: https://support.apple.com/en-us/HT206907 "Details on the Scribble feature"

Several months later I’m not using the Watch beyond a bunch of sensors. It does feel like I’m underutilizing the Watch, but at the end of the day I’m satisfied with what I get out of it. I wouldn’t recommend the Watch to everyone. The ideal use case is niche in my opinion. For the fitness enthusiasts I think there’s something to get here, but unless you value data being synced to Apple Health, a Fitbit might be a better option. For those who are already invested into the Apple ecosystem, an Apple Watch may perform better than a Fitbit. Unless you plan to really utilize the various health and fitness-related features of the Apple Watch, I don’t see the point in it. That said, I think it makes for a great piece of tech for the right use case.
