---
title: Recently
excerpt: August 2020.
tags: ["recently"]
---

I’ve been focusing on my mental health lately. It’s been largely ignored and I’ve decided I need to fix that.

I mentioned the music library update last time and I’m happy to report that it’s done. A [more detailed post](/posts/take-the-power-back-music) is available if you’re curious about my process.

At work I concluded work on a big project for the last few months. I personally found the work engaging and technically challenging, but the client I did not enjoy. I’ll be happy to take a breather and get started with a new project soon.

## Site Upgrade

The site upgrade progresses. I decided on the tech stack pretty quickly. I ended up dropping [Tailwind CSS](https://tailwindcss.com) in favour of [Theme UI](https://theme-ui.com). I really liked how Theme UI worked. It made sense in my head, and came with some lovely demo themes to play with. I’ve ended up more or less copying [their docs pages](https://theme-ui.com/getting-started) with some small tweaks. I’m moving up to the world of [MDX](https://mdxjs.com) for my content pages, which is nice since I can splice in some React components when needed. It reminds me of [BBCodes from phpBB](https://www.phpbb.com/community/help/bbcode), or [Shortcodes from WordPress](https://wordpress.com/support/shortcodes/).

I’ve been crawling the web lately looking at other developer’s personal sites and I decided that I need to put in more effort into mine. It’s my [digital garden](https://joelhooks.com/digital-garden) and I want it to reflect myself better. I’m trying to stretch my creative muscles and come up with a rudimentary design system. I’m currently trying to finalize a colour scheme. I’ve decided on my typography (fonts are just device defaults). All spacing, margins, etc were decided for me thanks to Theme UI’s defaults.

Speaking of typography — I spent a lot of time [reading up on the subject](https://practicaltypography.com) and really try to flex my skills here. I wanted my typography to look the same on almost any device and maintain the same character spacing across varying screen widths. It’s a small detail that I care deeply about.

## Shaving

In personal care news, I decided to start using a [safety razor](https://www.getrockwell.ca/products/rockwell-6c-razor) for my shaving. It has been an entirely rewarding experience. It’s turned the act of shaving into a more meditative activity for me. There aren’t a ton of steps, but I really enjoy following my internal checklist and taking my time with the activity. Not to mention that I’ve never had a smoother shave with zero razor burn. I would highly recommend anyone out there that needs a close shave on their face to give it a shot. I am planning to write a detailed post on proper face (and hair) care targeted toward men. Based on my own experience and asking around with my (male) friends, there are definitely some misconceptions and a lack of education on that front.

## Religion

The subject of religion has been on my mind a lot lately. I am not particularly seeking any religion currently, but its existence in the lifetime of humankind has been an interest of mine. It started with me asking my partner if what I called an “ethical religion” — that is, a religion that is comfortable with the advances of science — could exist. What I didn’t know at the time was that this isn’t a radical idea at all. There are many religions out there that demonstrate this.

I ended up asking some friends of mine about their faith and what it meant to them. What I found out immediately was that my idea of an “ethical religion” already exists. I think a large part of my ignorance stemmed from a lack of exploration and looking at religion from the lens of pop culture. It casts a wide shadow as if to suggest that every Christian is a Bible-thumping maniac who distrusts modern medicine and believes only in the power of God. Not to say those people exist — I’ve seen them myself — but your average person has a far more nuanced relationship with religion.

For example, there are sects of Christianity that are comfortable with the idea of gay marriage, or rights for women, or birth control. Despite what the Bible may say, they don’t necessarily follow it to the letter, but more in spirit. For some, religion is a source of purpose — to help give their life meaning and a reason for being here. Frankly I’m really embarrassed that I was so dismissive of religion.

## Reading

### [The Trial - Franz Kafka](https://www.goodreads.com/book/show/17690.The_Trial)

Tried to read this years ago, but felt the writing style so cramped and physically difficult to read. I’m trying again in the hopes that I can read and enjoy it. So far, so good.

### [The Skin We’re In - Desmond Cole](https://www.goodreads.com/book/show/50870424-the-skin-we-re-in)

A pretty damning read on how far Canada has to go on dealing with systemic racism. Like many Canadians, I knew things were bad, but this spelt out how truly bad it is. If the situation in the US was not reason enough to convince me that we need to defund the police, then this is it. While the book was not setting out to necessarily claim this message, that was my own conclusion. The police seemed to be a recurring undercurrent to the issues POC face today.

Two snippets that really struck me:

### [Ryan Reid fatally shooting Jermaine Carby](https://www.cbc.ca/news/canada/toronto/jermaine-carby-inquest-peel-regional-police-1.3581519)

> Peel Regional Police officer Ryan Reid was never charged for fatally shooting Jermaine Carby, \[...] during a traffic stop in September 2014. \[Reid] wouldn’t have done anything differently — he said with Carby’s mother and family members in the hearing room.

### [Officer Louie Cerqua on shooting and killing Michael Eligon](https://www.cbc.ca/news/canada/toronto/toronto-officer-who-shot-michael-eligon-feared-for-his-life-1.2448192)

> “With the high stress situation like that, you’re going to resort to your firearm, it’s the only real option you have.”

## Music

[George Clanton and Nick Hexum](https://georgeclanton.bandcamp.com/album/george-clanton-nick-hexum)

I love hearing Nick Hexum — he has such a unique vocal style that I can always point out. Together with Clanton they form the perfect summer blend of vaporwave and chillwave. Couldn’t gave come out at a better time.

[Stonerror - Widow in Black](https://stonerror.bandcamp.com/album/widow-in-black)

It’s probably a tired comparison to make — they have a song called Kings of the Stone Age after all — but their sound reminds me so much of Queens of the Stone Age in all the best ways. Kyuss is probably a more apt comparison, actually. Heavy, crunchy, fuzzy guitar riffs that linger on blissfully, spacey vocals, wandering through time. It’s all here. And not to judge an album by its cover, but this one rules.

That’s all for now. Take care out there. ✌️
