---
title: Recently
excerpt: October 2020.
tags: ["recently"]
---

It’s been a rough month, and it’s only the 4th. The [six-month COVID-19 wall][covid-wall] is hitting me hard. It’s hard to feel like doing more than existing right now. I’m glad I’ve been talking to a counsellor about things. It’s hard to even get the motivation to write this post.

Something I’ve learned is that when faced with a daunting task, it’s important for me to break things down into smaller, manageable chunks. It helps curb the anxiety a bit, especially when it’s something not work related. Larger and vague goals do nothing but generate anxiety for me. It’s actually a bit of an enjoyable activity for me to spend a bit of time to compartmentalize everything.

I recently went on a nice date night with my partner, and it was desperately needed. I’m a bit of a homebody, but even I was feeling a bit trapped. It was nice to get out (and stay outside) and enjoy my town.

I’m starting up piano lessons again with my previous teacher, and I’m surprisingly excited to get started again. Applying what I learned from counselling, it will be important for me to make sure my piano-related goals are broken down, small, and actionable.

## Development

Recently wrapped two projects at work. One was a marketing site for a client we previously worked with. It had a very short timeline and I didn’t estimate it properly, so it lead to some weekend work. It’s now the weekend after it wrapped and I’m feeling worn out.

A few weeks earlier, another project wrapped. This was a Slack app for a non-profit organization. The goal of the app is to send newsletter notifications to users inside a workplace. The organization is moving fast to develop “workspace plans” for companies, and this was a case of great timing and availability on our end. I’m hoping it will be out of private beta soon and we can get more users! It will be really exciting to see it out in the wild.

I’ve gone hard into the world of [Vim][vim] — [Neovim][neovim] specifically. It’s a daunting text editor to learn, but once you get a handle on the initial movement controls it feels very powerful. A small number of plugins have made it like VS Code, but faster. I started learning vim because I’m giving a cloud development environment a trial run. I don’t want to use a virtual desktop, so I’m looking at a text-based prompt. I’ve always toyed around using vim, but now I’m fully invested. It’s been a lot of fun painfully tweaking my setup to have it work just so. Here’s my [`.vimrc`][vimrc], if you’re curious.

## Social Cooling

People tend to crook an eye at me when I tell them I don’t have a Facebook account or avoid social media like the plague. I’ve struggled to explain my reasons without it sounding utterly confusing or smarmy. Then I discovered this site called [Social Cooling][social-cooling]. I won’t try to summarize the site but instead urge you to give it a read if you’re feeling like Big Brother from 1984 is becoming closer and closer to reality.

## Listening

Another new month means another Bandcamp Friday. I didn’t waste any time and secured some cool new stuff! And set my sights onto what I’d like to get next month.

### [DANCE WITH THE DEAD — Entire Discography][dwtd]

Champs of the darksynth arena. Anything from their back catalog would feel right at home in an 80s slasher flick. My favorites are THE SHAPE and NEAR DARK, but practically anything is great. They haven’t put out much material from the aforementioned THE SHAPE in 2016, but here’s hoping 2020 and beyond brings more.

### [Fleet Foxes - Shore][shore]

Been a while since their 2012 release Helplessness Blues (which seems apt right now, actually), and I couldn’t be happier to see the group making more. I’ve only given it a handful of listens so far, but this is without a doubt some of their best.

### [Meltt - Swim Slowly][meltt]

A little group from Vancouver that makes some class eletronic/psychedelic/new wave/lofi music. I stumbled upon them after they came up on YouTube’s autoplay (I think after DRAB MAJESTY, another band worth your time), and I’m so glad for that. It’s cool to find an artist you love not far from your own home town, and makes me think I should dig deeper for more local bands. There’s so much music out there, more than I realize, and tons of it is happening right around me.

### [Sufjan Stevens - The Ascension][sufjan]

I wouldn’t consider myself a follower of his stuff, but hearing “America” from the album sold me on it and I snap bought it. Still got a lot of stuff to go through, but excited to dig into this one.

### [Street Cleaner - Annihilation][sc]

One part darksynth, one part industrial, and just a dash of outrun. Such a phenomenal pumping album front to back. Feels like the perfect soundtrack to a gritty, cyberpunk future where the 80s never went out of style. As it turns out — it’s a video game now, too!

### [City Girl - Somnoloent Nova][city-girl]

Lately I’ve found it hard to decide what I want to listen to. Thankfully, there is always “24/7 anime girl lofi beats to chill and listen to” that helps decide for me and keep me focused. Sometimes though things get tough and that music helps keep me grounded, and think of better times.

”Somnolent Nova” is that. It’s just fantastic, chill tunes to keep you going, or help you kick back. A nice dash to jazz to keep the listener engaged, but not distracted.

### Podcasts

I wanted to highlight one particular episode as it pertains to my interests in several ways: Reply All’s [The Snapchat Thief][snapchat-thief]. Particularly the parts about securing your accounts and managing the information that’s available about you. I take great strides to help cull the information flow wherever possible, so the episode was kind of like vindication for me after my friends typically roll their eyes at my “paranoia”. On the other hand, it’s also a good way to point out that my security is only as good as my weakest link. If my friends are not as savvy as I, and I choose to share some private information with them, then it’s safe to say it’s out there in some form or another.

## Reading

My pile of books — digital or otherwise — never stops growing. I flit between books like my dog flits between his favorite toy. Which is to say, I am often reading something different every day.

Right now it’s [Omoiyari: The Japanese Art of Compassion by Erin Niimi Longhurst][omoiyari]. Self-compassion is something I struggle with on the daily. It hasn’t been the most revealing book, but there was one part that I liked — the concept of “_zakka_”. As per usual there is no literal English word for it, but my understanding was that it was a sort of celebration of our miscellaneous, mundane things. For example, in the book, the author has a particular watering can that is gold and with a large, narrow spout. It is otherwise completely ordinary, but to the author it has a special sort of meaning. To borrow the Kondo parlance, it sparks joy. It’s not an antique, but it’s not particularly expensive either. It lead me to think about some items in my life that would fit under the category of _zakka_.

Something that immediately came to mind is my Lamy Safari fountain pen. I don’t know what it is about this pen, but whenever I hold it, I just feel good. It writes like a dream, and with my special color of ink, everything looks so beautiful (even in my horrible writing). The tedious and slow process of filling up ink ends up being a rewarding experience as I take each step carefully, ensuring that my pen is clean and that I get the correct amount of ink. I love to go on and on about this pen. Tying into an element of Japanese folklore, I feel like a benevolent _yokai_ has decided to live inside my pen.

What about you, dear reader? Is there some otherwise mundane item in your life that brings you utter joy every time you hold it? Perhaps it evokes a feeling of nostalgia. An item to anyone else would have little meaning, but to you it means everything.

[covid-wall]: https://metro.co.uk/2020/09/23/how-to-push-through-six-month-coronavirus-wall-13309340/
[vim]: https://www.vim.org
[neovim]: https://neovim.io
[vimrc]: https://gist.github.com/devinwl/e8fc207bef247bae57d9c86990106b91
[social-cooling]: https://www.socialcooling.com
[snapchat-thief]: https://gimletmedia.com/shows/reply-all/v4he6k
[omoiyari]: https://www.goodreads.com/book/show/52848030-omoiyari
[dwtd]: https://dancewiththedead.bandcamp.com
[shore]: https://fleetfoxes.bandcamp.com/album/shore
[meltt]: https://meltt.bandcamp.com/album/swim-slowly
[sufjan]: https://music.sufjan.com/album/the-ascension
[sc]: https://streetcleaner.bandcamp.com/album/annihilation
[city-girl]: https://city-girl.bandcamp.com/album/somnolent-nova
