---
title: Recently
excerpt: March 2021.
tags: ["recently", "valheim"]
youtube: true
---

![My Valheim character under the moon.](https://cdn.wonderfulfrog.com/images/coolbow.png "The lighting in this game is so good!")

Right up until the end of the month things were looking up pandemic-wise, but our province announced that more restrictions are going to be in place for the next few weeks. Cases have been trending upward for the younger age groups (20-30s). It felt like up until this announcement that were was a chance that summer might mean a vaccine for people in my age range. Not to mention that AstraZeneca has been suspended recently in Canada. Back to waiting.

## Reading

Recently finished [“How to Take Smart Notes” by Sönke Ahrens](https://takesmartnotes.com). Jury is still out on this one. I’ve taken an interest in Personal Knowledge Management and saw this book come up often in recommendations. I don’t grasp the benefits on Zettelkasten yet. My hope and dream is to retain the information I absorb when I read non-fiction books. I tend to forget what I learned weeks later.

I think I’m going to have to re-read it again and take some notes (which seems to be what the book is advocating for).

[Accessibility is critical](https://gomakethings.com/theres-no-such-thing-as-a-website-or-web-app-that-doesnt-need-to-be-accessible/). I try to make my website accessible to anyone and regularly check my scores. When I ended up working with a company in the USA (which **requires** accessibility features to be implemented), I discovered how easy it was for web developers to make things work across a variety of browsers. It requires — realistically — a small amount of effort from designers and developers to check color contrasts, title attributes, and things of that nature. The bare minimum goes a long way.

[Mark Kozelek was accused (again) of sexual misconduct](https://pitchfork.com/news/sun-kil-moon-mark-kozelek-accused-of-sexual-misconduct-by-seven-more-women/#intcid=_pitchfork-right-rail_9b8b489f-0542-4dd7-9707-aef436fa1e42_popular4-1). I hadn’t caught this story when the accusations were first coming out against Mark Kozelek, but these recent accusations are damning. They all follow a pattern of behaviour that does not differ between stories. I had a lot of respect for Kozelek and his music. It’s disappointing to learn that someone you respected turns out to be a piece of shit.

## Playing

Been keeping busy on the games front lately! The Switch is a wonderful console. It’s easy to sneak in a few minutes in between meetings at work, or if I’m loafing on the couch with my partner.

### Valheim

Our group finished what I would consider to be the “campaign” of the game: the 5 bosses. We wrapped up about mid-March, slaying the mighty Yalguth after a long, hard battle. It was a lot of fun because it required coordination and resource management.

![Our heroes stand triumphant and display their grisly trophy!](https://cdn.wonderfulfrog.com/images/theend.png "Our heroes stand triumphant and display their grisly trophy!")

Since we finished all the bosses, we’ve fallen off the game. Without the next boss to work toward, the game became resource-gathering and base-building. A fun activity, but does not appeal to everyone. Without my friends playing, I don’t find myself all that interested.

For $20 though, some of the best times I’ve had with a game in recent memory. In terms of pure hours-played to dollars-spent, it was an incredible value (over 100 hours).

There are updates planned for Valheim that could be pretty exciting (like the Mistlands, Firelands, and Deep North being implemented), which might pull our group back in.

![The summoning area for Yagluth, the final boss. He wants totems from his Fuling followers.](https://cdn.wonderfulfrog.com/images/yagluthsummon.png "The summoning area for Yagluth, the final boss. He wants totems from his Fuling followers.")

### Stardew Valley

I’ve had this game on my radar for years and was craving a “couch game”. Perfect fit. The game is pure chill distilled into retro pixel perfection. It reminds me of Harvest Moon on the SNES (which I loved), but better in every way.

Cordova Farm is on its second year and is ready to bring in the big bucks after an action-packed winter.

### DOOM Eternal

Sometimes a guy just has to shoot some demons in the face, ya know?

Having loved DOOM (2016) and it’s incredible soundtrack, DOOM Eternal was an easy pickup. I was waiting for the mood to strike me, and after listening to the DOOM 2016 soundtrack for god-knows-how-many-times-now, I knew I was ready to put on my Praetor suit and kill some mother-effin’ demons.

Eternal takes everything that made the 2016 version great and builds on it. The core loop is still there, but it’s been refined to a sparkly sheen.

My least favourite part has been the emphasis on story and lore, which if Doomguy was anything to go by in the last game, I couldn’t care less. It’s nice to see them expand on some lore, but I liked it better when it was buried in a codex entry and kept the gameplay tight and continuous.

A fast favourite of mine though was adding fast travel near the end of missions. I’d always catch a secret I missed on the map in DOOM 2016, and Eternal is no exception. Now I can go back after completing all the combat objects and take my time exploring.

I must mention that Mick Gordon has returned to champion the soundtrack again, and is no slouch in this game either. I’m always cranking the volume to really get into the mood.

## Listening

[GRINDSTONE (Original Game Soundtrack) by Sam Webster](https://bysamuel.bandcamp.com/album/grindstone-original-game-soundtrack)

I played Grindstone when it first came out on Apple Arcade. I didn’t think much of it (or the soundtrack) and moved on. I stumbled upon the soundtrack again last month and couldn’t believe what I missed. It’s a blend of hip-hop grooves and smooth synths.

[Ghost Tapes #10 by GOD IS AN ASTRONAUT](https://godisanastronaut.com/album/ghost-tapes-10)

God is an Astronaut are post-rock staples spanning back to the early aughts. Their music evokes feelings I’m finding hard to put into words, but I always get enveloped by their sound.

[LEATHER TEETH by Carpenter Brut](https://carpenterbrut.bandcamp.com/album/leather-teeth)

You’d probably recognize the hard-edged synthwave if you played Hotline Miami. The game featured a few of their tracks from an earlier album called Trilogy. Leather Teeth continues to channel that raw energy into heart-pumping darkwave.

Tomorrow (April 2nd) is Bandcamp Friday!!

## Watching

{% youtube "VrKW58MS12g", "Glitterbomb Trap Catches Phone Scammer (who gets arrested)" %}

It never ceases to amaze me how far Mark Rober will go to be annoying to package thieves and scammers. The interesting part of this video is showing how deep the rabbit hole goes with these scammer ring. Rober teamed up with other YouTubers to show all of this — I found Jim Browning’s video incredibly interesting because it showed me a fascinating part of the ring: the money mule.

{% youtube "Xvjjpzyiig4", "Catching Money Mules ft. Mark Rober" %}

See everyone next month. ✌️
