---
title: "Weekly Notes #2"
excerpt: The week of thinking.
tags:
  - ai
  - women and technology
  - hermits
  - disco elysium
  - charli xcx
  - linux
---

The job hunt continues. Here are some things I've been thinking about, reading about, listening to, and playing.

On the weekend I took my Dad out to our local arcade and had a blast (and scored 12 million points in pinball, a personal best), then we got a lovely brunch. An excellent Father's Day!

## Links

### [No Web Without Women](https://nowebwithoutwomen.com/)

What a great website. There are so many women who we owe so much of the web to. Without them things would undoubtedly be different.

As I am now officially an honorary Slovak[^3] (according to my Slovak father-in-law) I've tried to take the time and learn about my new family background. I was excited to see that such an important figure in digital typography was a Slovak - Zuzana Licko!

### [Turning the Tables on AI](https://ia.net/topics/turning-the-tables-on-ai)

I liked the way iA reframed modern Artificial Intelligence as a tool and not a replacement of our minds - by making sure we still have to think.

I got genuine use out of this article and helped me rework portions of my résumé and cover letters without rewriting it entirely for me. Forcing AI to write out lists of options is a great idea.

## Reading

I've been in a reading slump for a while now. I made decent progress with Shogun by James Clavell, but even before that book I found myself struggling with keeping up my reading habit. I typically enjoy reading, especially at the end of a long day. Lately I found myself in a rut and couldn't get into whatever I was reading.

My wife suggested I read [The Stranger In The Woods by Michael Finkel](https://www.penguinrandomhouse.ca/books/251786/the-stranger-in-the-woods-by-michael-finkel/9781101911532). It was something I'd never have picked for myself. It was short. It had an engaging writing style. It was perfect! I ended up devouring the book over a week or so.

Christopher Knight's story is wild and almost beyond belief. He managed to stay alive *by himself* in the woods of Maine for over 27 years. By himself is oversimplifying it a bit - he relied on stealing the supplies of others to do it. Besides that, he was on his own.

There was one section in the book I'm surprised Finkel kept in. I'm not going into specifics, but it felt like something so deeply personal that it bordered on inappropriate to publish. I was uncomfortable reading it - it almost felt voyeuristic? Many of their discussions felt uncomfortable, like I was an unwelcome eavesdropper in them.

That said, it was a great book overall. If learning about how someone survived in the woods and having discussions on being alone sounds interesting to you, I'd encourage you to give it a read.

## Listening

[Taylor Swift was in the news recently](https://www.forbes.com/sites/conormurray/2024/06/14/taylor-swift-drops-new-tortured-poets-department-versions-as-fans-accuse-singer-of-blocking-charli-xcx-from-no-1/) because of her apparently releasing UK variants of *The Tortured Poet's Department* in order to compete with Charli XCX's newest album [*brat*](https://en.wikipedia.org/wiki/Brat_(Charli_XCX_album)). I had never really listened to anything by Charli XCX before, and I thought Tortured Poets was an altogether forgettable album[^1][^2], so I thought why not compare the two? *brat* is awesome. A favourite track of mine is "Von dutch". It got me excited to explore the rest of her catalogue.

## Playing

I finished my second playthrough of *Disco Elysium*. I went with a Intellect and Motorics-focused build. My Encyclopedia skill was initially amusing and interesting, but became exhausting with its constant chiming in with useless information (which I think was the developer's intention). Without my Inland Empire and Empathy skills, I had a hard time reading people, but found that my Drama and Logic skills filled in the blanks in different ways.

I used a guide this time to experience all of the events and conversations that I missed in my first playthrough, like ordering my partner to hit the dance floor (CODE 31!!).

It was fun to experience the world of Revachol again, but by the end of my run I was feeling done with the game. Perhaps going back so soon was not a smart move, and I'm planning to take a break from it now. I don't want to ruin my experience and feelings about the game.

[The planned (but now canceled) sequel](https://www.reddit.com/r/GamingLeaksAndRumours/comments/1df2l9z/first_details_on_cancelled_disco_elysium_sequel/) sounds like it would've starred Kim Kitsuragi and I dreamed of what could've been. Without a doubt, my favourite character is Kim. I would love to see a game set during his earlier years before he met the main character of the first game. It's such a shame that the studio crumbled after the game released, but the game being brought down by a bunch of greedy, incompetent suits is so amazingly on-brand for *Disco Elysium* it's almost perfect.

## Thinking

The [recent news about Recall being recalled](https://www.cnbc.com/2024/06/14/microsoft-to-delay-launch-of-ai-recall-tool-due-to-security-concerns.html)[^4] is great, but it has me thinking that it might be time to say goodbye to Windows. I've been using Windows for one reason alone these days and that's for gaming. The biggest hurdle for reliable gaming is dealing with anti-cheat technology. It can be a headache[^5]. These days though I'm playing mostly single player games, which have been working decently well for a while. [ProtonDB](https://www.protondb.com/) reports a decent compatibility score with my Steam library.

For work I rely on macOS, so I don't need Windows in a professional capacity (and if I did, I'd use a machine provided by my workplace).

It'll be a pain at first, but if I've learned anything in the past few months it's that I love tinkering with things. I can think of nothing better to satiate that addiction than running a distro of Arch (btw) that I installed and set up myself.

So the plan is to eventually put Arch Linux onto my PC - but before I pull the trigger I'm trying to set it up in a virtual machine on my macOS machine. I want to feel comfortable having a workable setup first before I completely commit.

[^1]: Frankly I think Swift peaked around 1989, and haven't really enjoyed anything since - oh no I'm going to be eaten alive by Swifties aren't I?
[^2]: I also thought the album was called "The Dead Poet's Society" but that was a movie.
[^3]: All I had to do was drink a fair bit of [slivovitz](https://en.wikipedia.org/wiki/Slivovitz)!
[^4]: heh.
[^5]: Check out the amazing resource [Are We Anti-Cheat Yet?](https://areweanticheatyet.com/)
