---
title: "Weekly Notes #3"
excerpt: The week of emotions.
tags:
  - three.js
  - css
  - ai
  - alt-j
  - neverwhere
  - inside out 2
  - fire emblem
  - linux
  - dotfiles
---

I'm glad I've managed to keep this going. My wife encouraged me to "block out" my weekend with a few activities and that has been a great idea. I went for a lovely walk with my dog today around town. We both got a good amount of exercise. Then we walked downtown to get ourselves a treat.

I won't lie, it's been hard to keep my spirits up lately. But this small amount of activities has been a huge boon for my mental health. That and maybe getting a full 8 hours of sleep played some small part too.

I've been working on my [Three.js Journey](https://threejs-journey.com/) course as well, which has been a welcome educational distraction. My crowning achievement may be the RAMONA CUBE.

<video src="https://cdn.wonderfulfrog.com/videos/ramonacube.mp4" controls width="100%"></video>

## Links

### [Uptake of the new CSS seems slow. Why?](https://www.thudfactor.com/posts/2024/06/new-hotness/)

There are a lot of reasons we don't always use new technologies, but there was a section here that resonated with me:

> Intentional or not, snobbery is a form of gatekeeping. *If* the web development intelligentsia responsible for evangelizing new tech are *also* snobby, guess what that gate is around.

Like it or not, React exists because it solves a problem that native HTML/JS/CSS cannot solve itself. I am tired of the "framework" wars (much like the console wars of decades ago). Use the technology that makes sense for your use case. React is a well-established framework that many developers know. It's like a shared language that everyone can speak to accomplish a wide variety of goals.

Let's get out of this weird gatekeeping and start lifting each other up.

### [Training AI](https://lmnt.me/blog/training-ai.html)

John Gruber has some real bad takes lately (remember when Apple did return to office?). Public data does not mean that it's free to use - it's free to **access**.

I loathe that the majority of technology coming out of Silicon Valley has been opt-out instead of opt-in. It's default to have your website data harvested. It's default to have push notification advertising spam. It's default to subscribe a new user to a variety of marketing lists. It's default to having your peace disturbed in some way.

### [Affirmations for bloggers](https://ntietz.com/blog/blogging-affirmations/)

This was an important read for me. I _always_ get in my head about writing, or any hobby of mine frankly. I wish it were easier for me to silence the nagging voices of "you're not good enough/you're not interesting/you're not..." I love writing. Writing on a schedule has been working out for me so far. I've managed to keep up this weekly notes summary for three weeks!

I think my key takeaway was "your perspective matters". It's the one thing that I can say defines my website. It's nothing but my own perspective. And I think a few people might find that interesting!

## Listening

### Top 5 this week

I'm not surprised to see Charli XCX so high. I've been listening to _brat_ quite a bit since last week, it's a bop. Always seems to put me in a positive mood.

| Artist     | Scrobbles |
| ---------- | --------- |
| Charli XCX | 50        |
| Dankmus    | 37        |
| alt-J      | 25        |
| Alvvays    | 12        |
| Bknapp     | 11        |

A newcomer here would be _alt-J_, who I ended up discovering through [this brilliantly edited Disco Elysium video](https://www.youtube.com/watch?v=K9Xm46_7AA0) (warning, it spoils out-of-context plot points). I love "Intro". The guitars exude such a _mood_ that I wish I could put better into words. I didn't find myself enjoying the rest of the album all that much. "Fitzpleasure" was pretty good.

I couldn't figure out what to listen to one day so I decided to listen to the entire _Dankmus_ catalogue for fun. I wish someone had told me about [his YouTube channel](https://www.youtube.com/@DankPods) years ago (maybe you'll get lucky and discover it for the first time?)

## Reading

I started reading Neil Gaiman's _Neverwhere_ a few days ago. It's got a slow buildup, but I can feel the hooks getting in. I know next to nothing about the book (other than I know it's an urban fantasy setting) nor Gaiman's other books, so I'm excited to experience once of his books.

## Watching

Saw _Inside Out 2_ over the weekend. After seeing the trailers initially I was more than ready to call this a soulless cash grab. The initial reviews though were in stark contrast to that opinion. There doesn't seem to be much out there right now that interests me movie-wise, so we decided to check it out.

<aside>
    <p><strong>⚠️ Spoiler warning</strong></p>
    <p>Mild spoilers ahead for some moments of the movie.</p>
</aside>

I was wrong - dead wrong. It's so rare to see a franchise sequel do so well, and even potentially doing better than the first movie. I enjoyed the movie immensely, and frankly it was the kind of movie I needed to see right now. I'm struggling with my own anxieties. It helped remind me of what anxiety is trying to do doing for me, and how I should focus on what I can and cannot control.

There was one moment in the movie where Joy is comprehending what is happening to Riley, and she says something along the lines of "maybe this is what happens when you grow up - you feel less joy." It was like a literal punch to the gut and hit home for me. I think it was in part the realization that you can't stuff the bad experiences one has into the back of your mind. The good and the bad makes us who we are.

Sometimes it feels like there isn't enough joy in my life. Or to put it another way, I don't try to introduce more joy into my life. I want to feel happy and joyful (calling to Joy just like in the movie), but it feels lately like it won't always come. I feel so thankful to have my wife, who _has_ been such a source of joy and happiness in my life right now.

---

In other viewing news, there's [a new Folding Ideas video](https://www.youtube.com/watch?v=b3gZOt1Lo4A) out, and everyone should watch Folding Ideas. They're never short, so strap yourself in for (at minimum) a movie-length experience. This one is all about the AVGN (Angry Video Game Nerd née Angry Nintendo Nerd). I'm someone who has enjoyed his videos for what they are - silly, funny videos about old (and sometimes) new video games. There is apparently a whole side of the fandom I was never aware of who is convinced James Rolfe (who portrays the titular Nerd) is somehow being manipulated by his wife and surely could not just love his family and kids now?

In many ways it felt like the video was becoming more about Dan Olson (aka Folding Ideas) and less about James. Anyway, if you have any interest in anything I just mentioned, I suggest you give it a watch.

## Playing

I wanted something cozy to play right now, so naturally I reached to _Fire Emblem: Three Houses_. I haven't played the Edelgard route, so let's do that!

For those who have never played it, _Three Houses_ has effectively three different stories to play depending on which house you join at the start of the game.

I love the cast of this game. Every character, even the tropey ones - has such great voice acting and story involvement. The Support scenes are all top notch and fully voice acted. I love "getting the band back together" as it were and spending time within Fódlan again.

It's also the most recent story-based game I can think of that I've played three times.

## Thinking

Still thinking about Linux and making the move. I've been spending a lot of my free time on YouTube looking at different setups that people have been running, and paying a lot of attention to dotfiles. I have [my own repo](https://github.com/wonderfulfrog/dotfiles) set up for them, if you're curious. I've built out a functional and productive setup for myself so far that is focused on `neovim` and `tmux`. There's another learning curve with `tmux` that I encountered with `vim` way back. I'm not at what I would consider "productive" speeds, but I'm happy with how things have been going.

I spent about a week trialing switching over to the [Catppuccin](https://github.com/catppuccin/catppuccin) theme since it's certainly the theme _de jour_ in developer circles, but I just can't pry myself away from [Tokyo Night](https://github.com/folke/tokyonight.nvim). I especially love the teal and cyan colours. It's just my ~vibe~.

If you're looking for resources on nerding out in your terminal, I have two that I've been particularly enjoying: [typecraft](https://www.youtube.com/@typecraft_dev) and [Dreams of Code](https://www.youtube.com/@dreamsofcode)/[Dreams of Autonomy](https://www.youtube.com/@dreamsofautonomy)

![A screenshot of a terminal window. On the left is a file tree, and in the center is a code editor. On the right side are two tmux panes split horizontally, with a terminal in the top and a running 11ty server on the bottom.](https://cdn.wonderfulfrog.com/images/tmux.png "A `tmux` session open while editing this site!")
