---
title: "Weekly Notes #10"
date: 2024-11-21T10:00:00-07:00
excerpt: It was more of a month or two instead of a week.
tags:
  - work
  - movies
  - world of warcraft
  - politics
youtube: true
---

You know when you slip from a regular habit and you tell yourself "it's okay, I'll do it tomorrow," or "I'll start on it next week," and then it time continually increases until your sense of dread keeps skyrocketing?

That's what happened since my last post. I endeavoured to write my one but never got around to it. I kept putting it off in favour of next week, or the following week, or the next month...

It can be hard to kickstart a habit again. I'm not sure what lead to me writing this post, but I got there and that's all that matters.

So what's happened since the last one? A lot, apparently.

The biggest would be that I'm looking for a job again. If you're looking for a frontend developer (or even full stack), let's get in touch. I'm available for contracting too, if you have anything in mind!

Job hunting is soul-crushing. It's a sea of endless silent rejections and the occasional screening call. It feels like getting to the interview step is an incredible rarity, only to find out that this is actually _The Screening Call Again_. I'm doing my best to maintain my spirits and keep at it. I have an incredibly supportive wife and network of friends who are looking out (and rooting) for me, and it can be especially motivating to remember that on the down days.

Despite not having a steady job right now, I have reasons to be grateful. We are still afloat financially, we have 2 happy pets who love us, we get to see our friends on the regular, I've found a new group of friends to play _World of Warcraft_ with, and above it all I still have my wonderful wife who I love so much and am so grateful for. I'm so lucky!

All-in-all, it's not so bad. I'll get a job eventually, and for now I'm taking care of myself.

## Links

Here is a grab bag collection of links from the last month or so.

## [How Microsoft Edge Is Replacing React With Web Components](https://thenewstack.io/how-microsoft-edge-is-replacing-react-with-web-components/)

In the browser community I've seen Edge referred to as a meme browser that nobody actually uses, but after [The Browser Company decided to sunset Arc](https://www.youtube.com/watch?v=E9yZ0JusME4) in favour of something else[^1], I went on the hunt for something new. I considered using Edge, but eventually settled on [Zen](https://zen-browser.app).

I've found myself increasingly exhausted by the ecosystem we depend on in web development. I think React (and similar frameworks) were created in a time when things like Web Components never existed, but now we have so much power available to us without the need of a framework.

This quote really gets into the crux of my kvetching:

> “The people actually shipping software are tired of framework churn,” wrote LaViska. “They’re tired of shit they wrote last month being outdated already. They want stability. They want to know that the stuff they build today will work tomorrow.”
>
> - Cory LaViska

I really resonate with this. I just want my shit to work years (I won't even say decades) later. This is why I love frameworks like [Eleventy](https://www.11ty.dev/). Breaking changes are so rare. It just continues to work without any changes required. It's possible to opt into new features if desired, but existing configs continue to work as-is.

I hope and dream that the web development world makes a push toward Web Components and using vanilla (regular, plain, whatever you want to call it) JavaScript. It's refreshing to see a big org like Microsoft championing Web Components. Let's see some other companies follow suit!

## [Oh, WoW](https://www.theverge.com/c/24235606/world-of-warcraft-legacy-mmorpg-blizzard-2004)

Great retrospective from The Verge. It's incredible to see a game from 20 years ago still alive and well, and even receiving updates. It's not uncommon to see "live-service" games barely last a year ([or even two weeks, as is the case of Concord](https://www.bbc.com/news/articles/c5y3zw5w7l3o)).

I typically revisit WoW every time a new expansion launches. It never changes, like an old sitcom you rewatch time and time again. It's a comfort game for me. Azeroth is a familiar universe to return to, where the good guys always triumph over the bad guys. There's little nuance to the narrative. It plays more-or-less the same as it did 20 years ago. In an unstable world, Azeroth presents a cozy escape from reality, if only for a while.

_The War Within_, which is the latest expansion, has kept its grips on me the longest so far. I've found a great group of people to play with, which keeps me engrossed and wanting to play. I've finally managed to break into what most consider "end-game content" (raiding and mythics), which has been challenging but rewarding (and doing it with a bunch of like-minded players really enriches the experience). Speaking of end-game (or advanced) content, this section from the article resonated with me:

> I never got much into the game’s advanced content myself, but for those who did, pretty much the only way to follow the expected meta of guild raids was to use externally designed UI add-ons. *World of Warcraft* had the audacity to make players create their own custom cockpits for the game and ended up creating a kind of recursive procrastination where you could even distract yourself from your intended leisure activity. Anyone who’s ever rearranged the app icons on their phone knows just how ubiquitous this kind of time-consuming “metawork” has become.

I love to tinker with my user interface, but the _necessity_ to use add-ons is also one of the most frustrating things about end-game _World of Warcraft_. It’s certainly _possible_ to go without add-ons, but you’d be handicapping yourself for no reason other than your own pride. Blizzard has done better over the years, but there is just _so much going on_ that without add-ons, it can be impossible to figure out what’s happening on screen (and imagine if you have a visual impairment).

It's a problem that plagues the game since its inception. Considering so many other games have figured out how to make managing difficult experiences manageable with in-game tools, it's baffling to me that Blizzard hasn't done better in this regard. Some of the most enjoyable experiences are relegated to the end-game tier of gameplay, and it can be difficult for many people to break into it. And that's not even mentioning the (legendarily) toxic community that one must engage with to participate. Delves are a new addition to the experience which are great end-game solo experiences, but this is only one facet of what players can do with their max-level characters.

## [Why is Nintendo targeting this YouTuber?](https://www.theverge.com/games/24272743/nintendo-retro-game-corps-russ-crandall-profile-youtube-emulation-dmca-takedown-copyright-strike)

God, I hate Nintendo sometimes. They make some of the best games in the world, but they also do plenty of stupid shit like this because they are Disney-level intense when it comes to "protecting" their IP.

Emulation and game preservation is important. We need tools like emulators so we can continue to enjoy these creative works as the consoles themselves age and deteriorate.

Having the _unmitigated gall_ to show _only_ gameplay of Nintendo games running on 3rd party handheld devices was apparently enough for Nintendo's lawyers to go nuclear.

Crandall is considering (or perhaps considered at this point) "poking the bear" and not being made an example. I don't know if I'd have the bravery to go up against a company that likely has effectively unlimited money to make somebody's life legal hell. It's an awful situation all around. And a horrible way to be treated for someone who has been a loyal fan for decades.

Nintendo is stupid sometimes. Perhaps more often than not.

## [Elon won.](https://www.youtube.com/watch?v=MAJafY-4at0)

{% youtube "MAJafY-4at0" %}

Okay okay, I'm sorry. I couldn't help but at least put a little bit of political content here.

<aside>

    <strong>You can skip this</strong>

If you've had enough politics for now (and I get it), you can [skip ahead](#developing).

</aside>

As we are all no doubt by now reckoning with the results of the election, I think a few of us (myself included) are wondering "what the hell happened?"

For myself this was a "come to Jesus" moment where I finally realized I've been in a media bubble. I've been feeding myself a sea of dunking on Republication voters, late-night comedy shows, and an otherwise unhealthy diet of "those Republicans are sure weird, but don't worry - we'll get 'em at the polls."

> Narrator: they did not get them at the polls.

What I think Adam has demonstrated with this video is that Republicans didn't really win insomuch as the Democratic Party failed. Compared to the 2020 election, Democrats _lost_ about 10 million votes. Folks on the left just _didn't show up_.

I think the better part of the next few months should be spent less on "the right stole the vote" or "Republican voters are all racists" and more on "how did the Democratic Party fail so many voters?" I hope the Democrats take this as the wake-up call that it should be.

I think Adam hit on a great point where the Democratic Party is supposed to represent the working class, but they never actually talk to them. Until they actually spend time listening to the people they purport to represent, things will go nowhere. Instead they court "right lite" billionaires and other big donors and wonder why nobody votes for them.

Where does that leave us now? For starters, we know the next four years are gonna be rough. Trump (and the GOP) are undoubtedly gonna do stupid (and hurtful) shit. There's no escaping it. So let's stop pretending to be shocked every time they say or do something hateful. There's no point worrying about what's going to happen next. As Adam says, I have to wake up and say "oh fuck, here I am again" in a new reality. It's gonna be brutal, but I have to keep getting up and pushing forward.

I think the point I'm trying to get at is that the GOP is going to try and wear us down until we can't take it anymore. Every outlandish choice is meant to exhaust us a bit further so we just give up. What I'm saying is - if I expect the GOP to do something insane and they do it, then all they are doing is following the plan. There's no point in expending anguish over another bonehead move if all they are doing is following their playbook. I want to focus my energy where it matters - effecting changes my own way.

One thing I want to start doing is stop using Reddit for my news. The left on Reddit represents I side I no longer agree with. They dunk on Republican voters who now have to reckon with their choice, instead of trying to help them. This I think is a faction of the left that alienates right-leaning voters. I don't believe that every Republican voter is a racist, bigot, transphobe, etc[^2]. To me, they are hurting right now and they see a guy who says "I'll fix it". It's a simplistic message, and it works. Whether or not that guy will _actually_ fix the problem is beside the point. The average person just wants economic relief. So if there's a guy that says he's got the fix for your problems, don't be surprised if people vote for him.

I can't pinpoint the origin of this phrase, but it goes something along the lines of "don't feel bad for falling into a trap that was set for you." This is what's happening now with many Republican voters. They didn't realize a trap was set, and now they have to deal with it. So let's help them out, instead of dunking on them and assuming the worst of their intentions.

I'm forcing myself to stop writing about this. I'm beginning to ramble. But know that I have hope - hope for the future and that things will get better. Even if things are rough, I want to keep getting up and trying again. Spit out a tooth and rise for another go.

![Screenshot of a post that says: People speak of hope as if it is this delicate, ephemeral thing made of whispers and spider's webs. It's not. Hope has dirt on her face, blood on her knuckles, the grid of the cobblestones in her hair, and just spat out a tooth as she rises for another go.](https://cdn.wonderfulfrog.com/images/hope-tweet.png "Hope is gritty"){.image-shrink}

## Developing

[Version 3 of Eleventy](https://www.11ty.dev/blog/eleventy-v3/) released in early October. I've been working on getting my site updated to the latest version. Changing from CommonJS to ESM was super easy - in fact the whole upgrade process was incredibly straightforward!

So, where is it? Well, as I am wont to do, I've decided to pack in some upgrades of my own. I'm working on finishing those first before deploying the next version. That being said, I've had to cut myself off before I get too carried away. I'm aiming for an improvement of my already established look and feel.

I also worked on an [Eleventy version of my resume](https://cv.wonderfulfrog.com), since I needed a new version anyway. It's all powered by YAML files. That was a lot of fun to build!

To add onto the project spree - I also built a rudimentary invoicing system in Eleventy too! That's all YAML as well, but it's proving to be a bit clunky. If I continuing my contracting, I'll have to figure out something that's easier to use and a bit more flexible.

## Playing

I'm continuing to play _World of Warcraft_ and having a great time. As I mentioned earlier, I've found a group of players to tackle the end-game content. We've managed to take down the entire Nerub-ar Palace raid on Normal, and we're working on the Heroic version (which is like Hard mode, with Mythic being Very Hard).

![A humanoid looking dragon stands in the middle of the frame, looking toward the bottom right of the viewer. He has deep blue scales, that transition into light blue chitinous plates around the chest and stomach. On his waist and thighs are heavy plate tassets. He has folded bat-like wings. He wears heavy teal plate pauldrons on his shoulders.](https://cdn.wonderfulfrog.com/images/wow/dracthyr-warrior.png "I do love being able to literally spread my wings and fly."){.image-shrink}

I've since made (another) Warrior, because I can't stop making them. I love playing Warriors. They're so straightforward in terms of class fantasy. I have big sword (or smaller sword and big shield). I hit things with pointy thing. I yell to make my allies feel stronger. Me good hitter.

![Screenshot from World of Warcraft. A dwarf with dark slate-blue skin is centered, facing to the right of the viewer. He has glowing orange eyes, and a black hair beard that is singed and glowing a reddish orange along the bottom edges. He is wearing a set of leather gear.](https://cdn.wonderfulfrog.com/images/wow/dark-iron-warrior.png "I have to get used to being a little smaller than before."){.image-shrink}

I started with a Dracthyr, which are the dragon/human hybrid, but found that I missed being able to transmog (for non-WoW players, play dressup). Much like clothes, I like having the freedom to tweak my look. I've already made a Night Elf, I don't really like playing as Humans (boring, I already am one), and don't like many of the other Alliances races. I settled on a Dark Iron Dwarf, since they have a gruff and funny voice.

## Reading

![The cover features a green crystal with various character's reflections. A hand is reaching toward the crystal from the bottom right.](https://cdn.wonderfulfrog.com/images/the-crystal-shard-cover.jpg){.image-shrink}

I finished the first three Drizzt books and I've jumped onto the next trilogy, starting with _The Crystal Shard_!

## Watching

I've seen a few movies I'd like to mention!

![](https://cdn.wonderfulfrog.com/images/your-monster-poster.jpg){.image-shrink}

The first one is [Your Monster](https://letterboxd.com/film/your-monster-2024/) which is all about reconnecting with your childhood monster in a closet. It's a charming movie that had me smiling throughout. So fun! A perfect pairing to [Lisa Frankenstein](https://letterboxd.com/film/lisa-frankenstein/), if you wanted to do a home movie double-header.

![](https://cdn.wonderfulfrog.com/images/dracula-a-d-1972-poster.jpg){.image-shrink}

For Halloween we watched [Dracula](https://letterboxd.com/film/dracula/) with Bela Lugosi, which holds up remarkably well for a movie made almost 100 years ago! After that was [Dracula A.D. 1972](https://letterboxd.com/film/dracula-ad-1972/) which features Christopher Lee as Dracula and Peter Cushing as van Helsing. It features a contemporary setting which is unusual for most Dracula movies. I wouldn't call it an especially good movie, but it was quite entertaining. I have a soft spot for both actors, so being able to see them together was a treat. The soundtrack wasn't half bad either, all things considered. The tie-in with Stoneground was amusing (and I know you'll be surprised to learn they didn't last long after this movie was released). All in all a very spoooooky Halloween night for us.

![](https://cdn.wonderfulfrog.com/images/tetris-poster.jpg){.image-shrink}

Next up is [Tetris](https://letterboxd.com/film/tetris/)! This one was near and dear to me as I spent the better part of my early childhood absolutely hooked to my Game Boy and Tetris (at least until Pokémon came out). This movie represents a _somewhat_ historically accurate retelling with some fun flourishes to make it prime movie material. If you're like me and have a love of all things Tetris (or maybe Game Boys), then you'll have a great time with this one.

![](https://cdn.wonderfulfrog.com/images/flow-poster.jpg){.image-shrink}

Most recently is [Flow](https://letterboxd.com/film/flow-2024/) which was an incredible journey. The filmmakers are masters at playing with your emotions, employing every "animals in a movie" trick to incredible results. You'd be overjoyed one moment, and wailing in sadness the next. It's honestly a master craft of emotional manipulation (and I mean that positively). I loved watching this and experiencing the story unfold. I loved the characters and world. It was so engrossing!

## Listening

We attended a few concerts lately that were a lot of fun! A highlight for me was Murdoch Mysteries in Concert, which had none other than Yannick Bisson (William Murdoch) as the host! I was absolutely giddy seeing him in person. The concert itself was wonderful. It featured a suite from the series, and also the composer came on stage and did a breakdown of how he created various themes used on the show! I loved seeing all of the parts come together, and live no less!

We also saw a rendition of Beethoven's 5th by the Victoria Symphony. It's great to finally see it played live. It's such a critical piece of music (cultural vegetables[^3], if you will), but I'd never seen it performed before!

## Coming Up

The weeks and months ahead look uncertain. This Christmas will be very different from previous years. We're already talking about how things should go.

We have some concerts and shows coming up (some we bought tickets for months ago) which is something I'm looking forward to.

With my site upgrades in mind, I'd like to spend some time in the [Catalogue](/catalogue) section of my site and add a bunch of missing content. For one, I'd like to add a section for all the movies I've seen! There are a ton of games missing, and books too.

Whatever comes my way, I know that I have my family and my friends with me. That's all I need, and we'll be okay.

Until next time! 👋

[^1]: I've seen this song-and-dance enough times to know that even if they say they'll still maintain Arc, they will drop it faster than you can say "profit" once their next product takes off, or whatever it happens to be that makes them infinite money.

[^2]: Yes, there are a contingency of Republican voters who _are_ all of the above, but they are certainly a vocal minority.

[^3]: I got the phrase from [this New York Times article](https://www.nytimes.com/2011/05/01/magazine/mag-01Riff-t.html) (sorry, in my defence it was before 2016). To me the term "cultural vegetables" represent pieces of media that we don't necessarily enjoy all that much (or maybe you do), but are part of an important cultural moment that defined a genre, movement, or what-have-you. See also "seminal work".
