---
title: "Super Mario World 2: Yoshi's Island"
platform: Super Nintendo
image: https://cdn.wonderfulfrog.com/images/games/yoshis-island-cover.jpg
tags:
  - single-player
  - platformer
isFavourite: true
year: 1995
---

Super Mario World 2: Yoshi's Island was released on the Super Nintendo in 1995. It was actually a prequel to the original Super Mario World, and tells the story of how the Mario twins (Mario is the last name, yes) came to be. The premise is that a stork carrying the twins is assaulted by Kamek, who is a servant to the mighty (then a child) King Bowser. In the fray, the stork loses both babies, and Kamek ends up with only Luigi. Mario plunges to his doom, only to land (somehow safely) on top of one of the Yoshis on Yoshi's Island. It then befalls onto the Yoshi clan to reunite the brothers and restore the balance, or something along those lines. The stories for these games (read: platformers) were not altogether that creative back in the '90s. Not that it mattered much really.

What really mattered was that the game was fun. And fun this game certainly was. You can run and jump, and there's powerups just like before. The bigger differences came in the form of eggs, slightly different jumping mechanics and Yoshi himself (herself? itself?). Now you could float in the air a moment and give yourself a slightly higher jump. You could actually float multiple times in a row to overcome large obstacles too. Just like in Super Mario World, Yoshi can use his tongue to eat up enemies and spit them out, but he can also turn them into eggs. You could collect up to eight eggs and fire them at enemies. Back then, there wasn't two D-Pads (let alone two analog sticks), so the aiming was a little weird. The crosshair would move up and down, and it was your timing that guided the egg in the right direction. Nowadays this system is unbelievably clunky, but back then this was crazy. It was a pretty bold move, but leave it to Nintendo to do it right (more or less). My favorite change has to be the removal of the countdown timer. No longer were you restricted to roughly three minutes per level. Now you could romp and roam about as much as you want. This is great not only to experience the game at your own pace, but allows the player to truly explore and enjoy the intricate design that Nintendo incorporated into this game. If Yoshi gets hit, he will lose Baby Mario and will start to float away in a bubble. A countdown timer starts, and if it reaches zero before Yoshi rescues the trapped Baby Mario, he is swept away by Kamek's toadies. You can increase the timer by gathering more Stars (not like Power Stars, more on them in a bit). Essentially, Yoshi's Island took what was good in Super Mario World, and just made it all-around better.

The game spans over six worlds, which house eight stages each. Two of them are "castle stages" which house a formidable boss inside. All in all, every world is unique and each stage is completely different from the one before. Many of the stages introduce a new mechanic or gimmick that is reused later and built upon. The eggs are initially introduced as simply ammo to attack your enemies with, but later it's revealed that different colored eggs have different properties when loosed upon the baddies. The Chomp Rock is first there simply to obliterate your enemies, but later you learn that it can find secrets for you, and can even be used as a sort of booster stool. The main power-ups in this game come in the form of transformations. Yoshi can transform into a helicopter, a car, a train, a mole, and even a submarine. These power-ups were pretty uncommon, so when you finally saw that bubble with a car in it, you knew you were in for some fun times. These power-ups were only temporary, but allowed for some creative level design.

The levels themselves were just so inventive for the time. Each level focused on one sort of gimmick or theme and always kept things fresh. The game used several different themes for all the levels, but every one just felt like its own stage. No two felt at all alike. Each level presented a new challenge and new excitement. On each stage are three different collectables. There were Stars, Red Coins and Flowers. The stars are not like the Power Stars from the previous games, and instead increase your countdown timer for rescuing Baby Mario. The Red Coins are hidden amongst the real coins (veteran gamers may notice that Red Coins are just ever so slightly off-color from regular coins). Flowers are usually in plain sight, but are sometimes hidden in "?" clouds, or in a secret location. Sometimes certain events must occur before a Flower appears. Each of these collectables are added up to form a total out of 100 at the end of the stage. They were entirely optional, but clearly Nintendo put a lot of thought into hiding everything. It's basically another game within the game finding them. Collecting all of the Flowers usually meant better chances at getting the Bonus Challenge, which would (sometimes) net you even more rewards. It gave a little incentive to collecting more goodies, basically. Items you got from the Bonus Challenge could be used later, such as giving you more stars, revealing the locations of all the Red Coins, or turning all the enemies into "?" clouds. Sometimes you'd meet up with your buddy Poochy, your lovable dog companion. He'll move you left or right with incredible speed, and can walk over deadly spikes with ease. Careful though, because once he gets going, he doesn't stop.

Since there was no more countdown timer, this allowed Nintendo to really play with the puzzle aspect in previous games. Yoshi's Island definitely features more puzzle-oriented levels are a result. Nothing too mind-bendingly hard, but nonetheless challenging. A good example is that plenty of levels will eventually fork into multiple paths. Certain doors might be locked, and require you to find the keys.

The bosses in each world often utilized a mechanic or gimmick that was introduced in stages previously. The first two bosses focus on the egg mechanics, for example. Later bosses start getting more clever. I don't want to spoil all of them, so I'm only going to mention a few. In World 2, you'll be pitted against a ghostly flower pot. Yes, that's right. You'll be competing with two Shy Guys in order to push the flower pot off the edge. Later on you'll be up against a giant Raven, and you'll have to use your ground-pounds to ram things right up his... well, I'll just leave that there. In another battle, you'll be shrunk and swallowed by a frog. That particular battle left such an impression on me. These are just a few of the many bosses you'll face in Yoshi's Island.

Reflecting now, I fondly remember various stages from years ago. My favorites would have to be the winter/snow worlds. At one point, a blizzard slowly begins as you move right, and before you know it you're firing down a slope with some skis. Yes, Yoshi goes skiiing! So cool. I remember another stage where you have to pump up a balloon in order to float across. I later found out you can actually ruin the balloon if you jump on too early, thus missing all the coins and other goodies. Not to sound lazy, but I really don't want to spoil too many of the levels for anyone who has yet to play this game. They are just so amazing and I'd like everyone to experience them like I did many years ago.

Finally, I have to talk about the graphics. Back then, the defining feature of many games would be the graphics. Today that's no exception I suppose, but here it was almost paramount to success. Yoshi's Island is no slouch in this department. One of the key reasons I enjoy this game so much is the graphical style they chose for it. Everything looks like it was created by hand, and more importantly, by kids. It was almost like playing the game form of the drawings you would make when you're younger. You know what I mean, the crazy game ideas we had and what we thought was fun... it was almost like seeing your own ideas come to life, right in front of you. It has such a charming and fun atmosphere about it, it's almost impossible not to like. This was radically different than what games were moving towards, which was an emphasis on realism and looking "cool." By all accounts, this style should've been rejected since it was nothing like the style that was "in" with the kids, but I think Nintendo saw the promise of something like this. It really paid off. I especially adore the backgrounds in this game. I often stop and just admire the scenery in this game. For a game that was released nearly 20 years ago, that has to mean something. The attention to detail is astounding.

The game itself is full of so much detail it's mind-bogging. Everything in the game appears like it was painstakingly designed and created. People say Miyamoto is a genius, and this game is proof of that alone. It's evident by the butterflies in the foreground as you run across the plains, the birds flying in the backgrounds, the bugs that dart around in the swamp, the sauntering animations of the Shy Guys, the dancing and rhythm of the Tribal Shy Guys, the way the frogs bounce and jump in the background in the swamps, Yoshi's idle animations... even Poochy your adorable animal buddy has some nice touches. If you throw him an egg, he'll usually bounce it back gently, and if he manages to get hold of one he'll become distracted and start playing with it. He'll bounce it up and down with his paw and wag his tail with delight. It's such a little addition but it's just so damn charming. Things like these are just littered in the game, and while they serve no practical purpose, they bring you closer into the world of Yoshi's Island. Before games were even looking close to real life, gamers could already feel themselves involved and drawn into a virtual world.

I'll always remember playing Yoshi's Island fondly. The first experience of this game is something I'll never forget. The impact that this game had on me is insurmountable. If for only that reason alone, this game is rightfully regarded by me as the best game ever. But not only that, this game has such a high level of ingenuity, design, thought, polish and charm to warrant such a decision. I implore you to play this game if you haven't already. A game of this calibre has not been made since, in my opinion. No doubt there have been many great games since, and probably some (if not most) would argue that this game isn't all that great. For me though, this is it. This is the peak of perfection. Nothing is better in terms of gaming than Super Mario World 2: Yoshi's Island.
